Skip to main content
GET
Reactions for user

Node.js SDK

๐Ÿ”— SDK Method: fetchUserReactions Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

fid
integer<int32>
required

The unique identifier of a farcaster user or app (unsigned integer)

Required range: x >= 0
Example:

3

viewer_fid
integer

Providing this will return a list of reactions that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
type
enum<string>
required

Type of reaction to fetch (likes or recasts or all)

Available options:
all,
likes,
recasts
limit
integer<int32>
default:25

Number of results to fetch

Required range: 1 <= x <= 100
Example:

30

cursor
string

Pagination cursor.

Response

Success

next
NextCursor ยท object
required

Returns next cursor

reactions
ReactionWithCastInfo ยท object[]
required